Last modified: 2011-07-11 11:51:39 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 27022 - use correct directionality in lists of messages.
use correct directionality in lists of messages.
Status: RESOLVED FIXED
Product: MediaWiki extensions
Classification: Unclassified
Translate (Other open bugs)
unspecified
All All
: Normal enhancement with 1 vote (vote)
: ---
Assigned To: Purodha Blissenbach
http://translatewiki.net/w/i.php?titl...
: i18n
Depends on: 28234 28301
Blocks: rtl
  Show dependency treegraph
 
Reported: 2011-01-28 21:30 UTC by Purodha Blissenbach
Modified: 2011-07-11 11:51 UTC (History)
5 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments

Description Purodha Blissenbach 2011-01-28 21:30:04 UTC
In various lists of message, translated message are always displayed with ltr directionality at the moment.

Better use the directionaly of the respective languages of each message.

Request by Amir E. Aharoni at
http://translatewiki.net/w/i.php?title=Support&offset=20110111104330#RTL_on_Translate_page_10235
Comment 1 Purodha Blissenbach 2011-01-28 21:35:49 UTC
This is the todo list (Please add forgotten places):
* set proper directionality in translated messages the list of all translations [[Special:Translate]]
* set proper directionality in messages in one of the fallback languages in the list of all translations [[Special:Translate]]
* set proper directionality in the messages in the list of all translations [[Special:Translations]]
* set proper directionality in messages in the list of sample translations in message edit pages
* set proper directionality in messages in the list of translations from the translation memory in message edit pages
* set proper directionality in automated translations in message edit pages
Comment 2 Amir E. Aharoni 2011-03-29 08:05:59 UTC
"set proper directionality in translated messages the list of all translations" - is already fixed.

Added Bug 28234 and Bug 28301 as blockers, because they are closely related.
Comment 3 Robin Pepermans (SPQRobin) 2011-07-06 03:09:24 UTC
Most or all of this has been done recently. Are there items that still need to be done?
Comment 4 Niklas Laxström 2011-07-11 11:51:39 UTC
Tested with fi/fi fi/ar ar/fi and ar/ar combinations of message table and all look fine to me. If there are bugs in the editing view, they can be added to bug 27206 or new bug can be opened.

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links